Generate .desktop file automatically with translations from po files

July 24, 2013 12:53 - Thomas Lange

Status: Closed Start date: July 24, 2013

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version:    

Description

Currently the .desktop file has to be translated manually.

It would be nice if it is generated automatically with the translations from a .po file.

All required changes are explained in the tutorial.

[1] https://people.gnome.org/~malcolm/i18n/marking-strings.html#desktop

[2] https://people.gnome.org/~malcolm/i18n/makefile-changes.html

History

#1 - July 24, 2013 23:04 - John Lindgren

Our Makefiles aren't generated by automake.  You'll have to figure out what commands automake is actually using to translate the file so that we can

integrate those commands into our build system.

#2 - November 02, 2014 21:17 - Thomas Lange

- Status changed from New to Closed

Meanwhile Transifex supports .desktop files.

I have uploaded a new resource there.

https://www.transifex.com/projects/p/audacious/resource/audaciousdesktop/

Marking as "Closed".
